function Auvw=Axyz_rot_uvw(u)
%
%
%		Calcola le componenti del vettore nel sistema locale (UVW) ruotando quello nel sistema terrestre (XYZ).
%		Phi, theta e psi sono per una parametrizzazione 231 in radianti. Tale funzione verra' richiamata piu'
%		volte; a seconda che gli ingressi siano posizioni, velocita' angolari,...le uscite cambieranno.
%
%
x=u(1);
y=u(2);
z=u(3);
phi=u(4);
theta=u(5);
psi=u(6);
%
%
%		PARAMETRIZZAZIONE 231
%
%
Axyz_uvw=zeros(3,3);
Axyz_uvw(1,1)=cos(psi).*cos(theta);
Axyz_uvw(2,1)=-sin(theta);
Axyz_uvw(3,1)=sin(psi).*cos(theta);
Axyz_uvw(1,2)=cos(psi).*sin(theta).*cos(phi)+sin(psi).*sin(phi);
Axyz_uvw(2,2)=cos(theta).*cos(phi);
Axyz_uvw(3,2)=sin(theta).*sin(psi).*cos(phi)-cos(psi).*sin(phi);
Axyz_uvw(1,3)=cos(psi).*sin(theta).*sin(phi)-cos(phi).*sin(psi);
Axyz_uvw(2,3)=cos(theta).*sin(phi);
Axyz_uvw(3,3)=sin(psi).*sin(theta).*sin(phi)+cos(psi).*cos(phi);
%
%
Auvw=Axyz_uvw*[x;y;z];


