function Atarget=cambio(u)
%
% introduco gli angoli di eulero e scrivo la matrice di trasformazione tra
% il sistema principale d'inerzia e quello inerziale
% dopo, per rendere utilizzabile il dato, lo trasformo in vettore (9*1)
%
phi=u(1);        % [rad]
theta=u(2);      % [rad]
psi=u(3);        % [rad]
%
%
% Parametrizzazione 231
%
%
Atar=zeros(3,3);
Atar(1,1)=cos(psi).*cos(theta)+sin(psi).*sin(theta).*sin(phi);
Atar(2,1)=-sin(psi).*cos(theta)+cos(psi).*sin(theta).*sin(phi);
Atar(3,1)=cos(theta).*sin(phi);
Atar(1,2)=sin(psi).*cos(theta);
Atar(2,2)=cos(psi).*cos(theta);
Atar(3,2)=-sin(theta);
Atar(1,3)=-cos(psi).*sin(phi)+sin(psi).*sin(theta).*cos(phi);
Atar(2,3)=sin(psi).*sin(phi)+cos(psi).*sin(phi).*cos(phi);
Atar(3,3)=cos(theta).*cos(phi);


Atarget(1)=Atar(1,1);
Atarget(2)=Atar(2,1);
Atarget(3)=Atar(3,1);
Atarget(4)=Atar(1,2);
Atarget(5)=Atar(2,2);
Atarget(6)=Atar(3,2);
Atarget(7)=Atar(1,3);
Atarget(8)=Atar(2,3);
Atarget(9)=Atar(3,3);
%